Bug 111134 - automount to accept multiple maps of NIS
automount to accept multiple maps of NIS
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: autofs (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-28 04:10 EST by nwong
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 09:51:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nwong 2003-11-28 04:10:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.0.1)
Gecko/20020823 Netscape/7.0

Description of problem:
Linux automount do support NIS maps if /etc/auto.master is as follows: 
/home  yp:auto.home.prod 
/home  yp:auto.home.dev 
 
However the 2nd entry can't be imported to automount.  It seems 
there is one map could be imported for /home. 
Please suggest how to import multiple maps. 
 
In our enviroment, we have 6 to 7 groups of NIS maps. 
It is tendious to put into one map as there are other UNIX clients. 
Please suggest how to put Linux automount to get the multiple groups maps 
to be able to feed into automount. 

Even I configure the automount as follows:  
/etc/auto.master :  
/home    /etc/auto.home  
  
/etc/auto.home :  
/home    yp:auto.home.dev  
/home    yp:auto.home.prod

It is failed for such config.

Version-Release number of selected component (if applicable):
3.1.7-21

How reproducible:
Always

Steps to Reproduce:
1.create NIS maps auto.home.prod and auto.home.dev on NIS master server.
2.create /etc/auto.master as described above.
3.start automountd
    

Actual Results:  Fail on automount map on auto.home.dev

Expected Results:  The map for auto.home.dev should be mounted.

Additional info:
Comment 1 nwong 2003-11-28 04:15:26 EST
The automount in Solaris or AIX can be imported
multiple NIS maps.  However it seems Linux doesn't.
It would be better to make it workable for such style
as Solaris/AIX does.
Comment 2 Suzanne Hillman 2003-12-01 16:24:15 EST
Internal RFE #111304 entered, will be considered for future releases.
Comment 3 Suzanne Hillman 2004-04-20 09:51:16 EDT
Please follow up with this request with the original package maintainer.

Note You need to log in before you can comment on or make changes to this bug.